<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<html lang="en">

<head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
  <title>LCOV - report.info - QtCore</title>
  <link rel="stylesheet" type="text/css" href="../gcov.css">
</head>

<body>

  <table width="100%" border=0 cellspacing=0 cellpadding=0>
    <tr><td class="title">LCOV - code coverage report</td></tr>
    <tr><td class="ruler"><img src="../glass.png" width=3 height=3 alt=""></td></tr>

    <tr>
      <td width="100%">
        <table cellpadding=1 border=0 width="100%">
          <tr>
            <td width="10%" class="headerItem">Current view:</td>
            <td width="35%" class="headerValue"><a href="../index.html">top level</a> - QtCore</td>
            <td width="5%"></td>
            <td width="15%"></td>
            <td width="10%" class="headerCovTableHead">Hit</td>
            <td width="10%" class="headerCovTableHead">Total</td>
            <td width="15%" class="headerCovTableHead">Coverage</td>
          </tr>
          <tr>
            <td class="headerItem">Test:</td>
            <td class="headerValue">report.info</td>
            <td></td>
            <td class="headerItem">Lines:</td>
            <td class="headerCovTableEntry">232</td>
            <td class="headerCovTableEntry">513</td>
            <td class="headerCovTableEntryLo">45.2 %</td>
          </tr>
          <tr>
            <td class="headerItem">Date:</td>
            <td class="headerValue">2021-03-29 02:25:54</td>
            <td></td>
            <td class="headerItem">Functions:</td>
            <td class="headerCovTableEntry">171</td>
            <td class="headerCovTableEntry">371</td>
            <td class="headerCovTableEntryLo">46.1 %</td>
          </tr>
          <tr><td><img src="../glass.png" width=3 height=3 alt=""></td></tr>
        </table>
      </td>
    </tr>

    <tr><td class="ruler"><img src="../glass.png" width=3 height=3 alt=""></td></tr>
  </table>

  <center>
  <table width="80%" cellpadding=1 cellspacing=1 border=0>

    <tr>
      <td width="50%"><br></td>
      <td width="10%"></td>
      <td width="10%"></td>
      <td width="10%"></td>
      <td width="10%"></td>
      <td width="10%"></td>
    </tr>

    <tr>
      <td class="tableHead">Filename <span class="tableHeadSort"><img src="../glass.png" width=10 height=14 alt="Sort by name" title="Sort by name" border=0></span></td>
      <td class="tableHead" colspan=3>Line Coverage <span class="tableHeadSort"><a href="index-sort-l.html"><img src="../updown.png" width=10 height=14 alt="Sort by line coverage" title="Sort by line coverage" border=0></a></span></td>
      <td class="tableHead" colspan=2>Functions <span class="tableHeadSort"><a href="index-sort-f.html"><img src="../updown.png" width=10 height=14 alt="Sort by function coverage" title="Sort by function coverage" border=0></a></span></td>
    </tr>
    <tr>
      <td class="coverFile"><a href="qalgorithms.h.gcov.html">qalgorithms.h</a></td>
      <td class="coverBar" align="center">
                <table border=0 cellspacing=0 cellpadding=1><tr><td class="coverBarOutline"><img src="../snow.png" width=100 height=10 alt="0.0%"></td></tr></table>
      </td>
      <td class="coverPerLo">0.0&nbsp;%</td>
      <td class="coverNumLo">0 / 3</td>
      <td class="coverPerLo">0.0&nbsp;%</td>
      <td class="coverNumLo">0 / 1</td>
    </tr>
    <tr>
      <td class="coverFile"><a href="qarraydata.h.gcov.html">qarraydata.h</a></td>
      <td class="coverBar" align="center">
        <table border=0 cellspacing=0 cellpadding=1><tr><td class="coverBarOutline"><img src="../emerald.png" width=100 height=10 alt="100.0%"></td></tr></table>
      </td>
      <td class="coverPerHi">100.0&nbsp;%</td>
      <td class="coverNumHi">17 / 17</td>
      <td class="coverPerLo">56.0&nbsp;%</td>
      <td class="coverNumLo">42 / 75</td>
    </tr>
    <tr>
      <td class="coverFile"><a href="qatomic.h.gcov.html">qatomic.h</a></td>
      <td class="coverBar" align="center">
        <table border=0 cellspacing=0 cellpadding=1><tr><td class="coverBarOutline"><img src="../emerald.png" width=100 height=10 alt="100.0%"></td></tr></table>
      </td>
      <td class="coverPerHi">100.0&nbsp;%</td>
      <td class="coverNumHi">2 / 2</td>
      <td class="coverPerHi">100.0&nbsp;%</td>
      <td class="coverNumHi">2 / 2</td>
    </tr>
    <tr>
      <td class="coverFile"><a href="qatomic_cxx11.h.gcov.html">qatomic_cxx11.h</a></td>
      <td class="coverBar" align="center">
        <table border=0 cellspacing=0 cellpadding=1><tr><td class="coverBarOutline"><img src="../emerald.png" width=100 height=10 alt="100.0%"></td></tr></table>
      </td>
      <td class="coverPerHi">100.0&nbsp;%</td>
      <td class="coverNumHi">6 / 6</td>
      <td class="coverPerHi">100.0&nbsp;%</td>
      <td class="coverNumHi">3 / 3</td>
    </tr>
    <tr>
      <td class="coverFile"><a href="qbasicatomic.h.gcov.html">qbasicatomic.h</a></td>
      <td class="coverBar" align="center">
        <table border=0 cellspacing=0 cellpadding=1><tr><td class="coverBarOutline"><img src="../emerald.png" width=100 height=10 alt="100.0%"></td></tr></table>
      </td>
      <td class="coverPerHi">100.0&nbsp;%</td>
      <td class="coverNumHi">4 / 4</td>
      <td class="coverPerHi">100.0&nbsp;%</td>
      <td class="coverNumHi">4 / 4</td>
    </tr>
    <tr>
      <td class="coverFile"><a href="qbytearray.h.gcov.html">qbytearray.h</a></td>
      <td class="coverBar" align="center">
        <table border=0 cellspacing=0 cellpadding=1><tr><td class="coverBarOutline"><img src="../ruby.png" width=18 height=10 alt="17.6%"><img src="../snow.png" width=82 height=10 alt="17.6%"></td></tr></table>
      </td>
      <td class="coverPerLo">17.6&nbsp;%</td>
      <td class="coverNumLo">3 / 17</td>
      <td class="coverPerLo">28.6&nbsp;%</td>
      <td class="coverNumLo">2 / 7</td>
    </tr>
    <tr>
      <td class="coverFile"><a href="qchar.h.gcov.html">qchar.h</a></td>
      <td class="coverBar" align="center">
        <table border=0 cellspacing=0 cellpadding=1><tr><td class="coverBarOutline"><img src="../ruby.png" width=50 height=10 alt="50.0%"><img src="../snow.png" width=50 height=10 alt="50.0%"></td></tr></table>
      </td>
      <td class="coverPerLo">50.0&nbsp;%</td>
      <td class="coverNumLo">1 / 2</td>
      <td class="coverPerLo">50.0&nbsp;%</td>
      <td class="coverNumLo">1 / 2</td>
    </tr>
    <tr>
      <td class="coverFile"><a href="qcoreapplication.h.gcov.html">qcoreapplication.h</a></td>
      <td class="coverBar" align="center">
                <table border=0 cellspacing=0 cellpadding=1><tr><td class="coverBarOutline"><img src="../snow.png" width=100 height=10 alt="0.0%"></td></tr></table>
      </td>
      <td class="coverPerLo">0.0&nbsp;%</td>
      <td class="coverNumLo">0 / 1</td>
      <td class="coverPerLo">0.0&nbsp;%</td>
      <td class="coverNumLo">0 / 1</td>
    </tr>
    <tr>
      <td class="coverFile"><a href="qdebug.h.gcov.html">qdebug.h</a></td>
      <td class="coverBar" align="center">
                <table border=0 cellspacing=0 cellpadding=1><tr><td class="coverBarOutline"><img src="../snow.png" width=100 height=10 alt="0.0%"></td></tr></table>
      </td>
      <td class="coverPerLo">0.0&nbsp;%</td>
      <td class="coverNumLo">0 / 3</td>
      <td class="coverPerLo">0.0&nbsp;%</td>
      <td class="coverNumLo">0 / 3</td>
    </tr>
    <tr>
      <td class="coverFile"><a href="qflags.h.gcov.html">qflags.h</a></td>
      <td class="coverBar" align="center">
        <table border=0 cellspacing=0 cellpadding=1><tr><td class="coverBarOutline"><img src="../ruby.png" width=67 height=10 alt="66.7%"><img src="../snow.png" width=33 height=10 alt="66.7%"></td></tr></table>
      </td>
      <td class="coverPerLo">66.7&nbsp;%</td>
      <td class="coverNumLo">2 / 3</td>
      <td class="coverPerLo">60.0&nbsp;%</td>
      <td class="coverNumLo">3 / 5</td>
    </tr>
    <tr>
      <td class="coverFile"><a href="qglobal.h.gcov.html">qglobal.h</a></td>
      <td class="coverBar" align="center">
        <table border=0 cellspacing=0 cellpadding=1><tr><td class="coverBarOutline"><img src="../amber.png" width=78 height=10 alt="77.8%"><img src="../snow.png" width=22 height=10 alt="77.8%"></td></tr></table>
      </td>
      <td class="coverPerMed">77.8&nbsp;%</td>
      <td class="coverNumMed">7 / 9</td>
      <td class="coverPerLo">66.7&nbsp;%</td>
      <td class="coverNumLo">4 / 6</td>
    </tr>
    <tr>
      <td class="coverFile"><a href="qlist.h.gcov.html">qlist.h</a></td>
      <td class="coverBar" align="center">
                <table border=0 cellspacing=0 cellpadding=1><tr><td class="coverBarOutline"><img src="../snow.png" width=100 height=10 alt="0.0%"></td></tr></table>
      </td>
      <td class="coverPerLo">0.0&nbsp;%</td>
      <td class="coverNumLo">0 / 45</td>
      <td class="coverPerLo">0.0&nbsp;%</td>
      <td class="coverNumLo">0 / 15</td>
    </tr>
    <tr>
      <td class="coverFile"><a href="qlogging.h.gcov.html">qlogging.h</a></td>
      <td class="coverBar" align="center">
                <table border=0 cellspacing=0 cellpadding=1><tr><td class="coverBarOutline"><img src="../snow.png" width=100 height=10 alt="0.0%"></td></tr></table>
      </td>
      <td class="coverPerLo">0.0&nbsp;%</td>
      <td class="coverNumLo">0 / 4</td>
      <td class="coverPerLo">0.0&nbsp;%</td>
      <td class="coverNumLo">0 / 2</td>
    </tr>
    <tr>
      <td class="coverFile"><a href="qmap.h.gcov.html">qmap.h</a></td>
      <td class="coverBar" align="center">
        <table border=0 cellspacing=0 cellpadding=1><tr><td class="coverBarOutline"><img src="../ruby.png" width=32 height=10 alt="31.7%"><img src="../snow.png" width=68 height=10 alt="31.7%"></td></tr></table>
      </td>
      <td class="coverPerLo">31.7&nbsp;%</td>
      <td class="coverNumLo">38 / 120</td>
      <td class="coverPerLo">21.8&nbsp;%</td>
      <td class="coverNumLo">12 / 55</td>
    </tr>
    <tr>
      <td class="coverFile"><a href="qobject.h.gcov.html">qobject.h</a></td>
      <td class="coverBar" align="center">
        <table border=0 cellspacing=0 cellpadding=1><tr><td class="coverBarOutline"><img src="../ruby.png" width=56 height=10 alt="55.6%"><img src="../snow.png" width=44 height=10 alt="55.6%"></td></tr></table>
      </td>
      <td class="coverPerLo">55.6&nbsp;%</td>
      <td class="coverNumLo">5 / 9</td>
      <td class="coverPerLo">33.3&nbsp;%</td>
      <td class="coverNumLo">1 / 3</td>
    </tr>
    <tr>
      <td class="coverFile"><a href="qobject_impl.h.gcov.html">qobject_impl.h</a></td>
      <td class="coverBar" align="center">
                <table border=0 cellspacing=0 cellpadding=1><tr><td class="coverBarOutline"><img src="../snow.png" width=100 height=10 alt="0.0%"></td></tr></table>
      </td>
      <td class="coverPerLo">0.0&nbsp;%</td>
      <td class="coverNumLo">0 / 1</td>
      <td class="coverPerLo">0.0&nbsp;%</td>
      <td class="coverNumLo">0 / 1</td>
    </tr>
    <tr>
      <td class="coverFile"><a href="qobjectdefs_impl.h.gcov.html">qobjectdefs_impl.h</a></td>
      <td class="coverBar" align="center">
        <table border=0 cellspacing=0 cellpadding=1><tr><td class="coverBarOutline"><img src="../ruby.png" width=43 height=10 alt="43.5%"><img src="../snow.png" width=57 height=10 alt="43.5%"></td></tr></table>
      </td>
      <td class="coverPerLo">43.5&nbsp;%</td>
      <td class="coverNumLo">10 / 23</td>
      <td class="coverPerLo">57.1&nbsp;%</td>
      <td class="coverNumLo">4 / 7</td>
    </tr>
    <tr>
      <td class="coverFile"><a href="qpoint.h.gcov.html">qpoint.h</a></td>
      <td class="coverBar" align="center">
        <table border=0 cellspacing=0 cellpadding=1><tr><td class="coverBarOutline"><img src="../ruby.png" width=14 height=10 alt="14.3%"><img src="../snow.png" width=86 height=10 alt="14.3%"></td></tr></table>
      </td>
      <td class="coverPerLo">14.3&nbsp;%</td>
      <td class="coverNumLo">1 / 7</td>
      <td class="coverPerLo">20.0&nbsp;%</td>
      <td class="coverNumLo">1 / 5</td>
    </tr>
    <tr>
      <td class="coverFile"><a href="qrect.h.gcov.html">qrect.h</a></td>
      <td class="coverBar" align="center">
        <table border=0 cellspacing=0 cellpadding=1><tr><td class="coverBarOutline"><img src="../emerald.png" width=100 height=10 alt="100.0%"></td></tr></table>
      </td>
      <td class="coverPerHi">100.0&nbsp;%</td>
      <td class="coverNumHi">3 / 3</td>
      <td class="coverPerHi">100.0&nbsp;%</td>
      <td class="coverNumHi">2 / 2</td>
    </tr>
    <tr>
      <td class="coverFile"><a href="qrefcount.h.gcov.html">qrefcount.h</a></td>
      <td class="coverBar" align="center">
        <table border=0 cellspacing=0 cellpadding=1><tr><td class="coverBarOutline"><img src="../emerald.png" width=95 height=10 alt="95.2%"><img src="../snow.png" width=5 height=10 alt="95.2%"></td></tr></table>
      </td>
      <td class="coverPerHi">95.2&nbsp;%</td>
      <td class="coverNumHi">20 / 21</td>
      <td class="coverPerHi">100.0&nbsp;%</td>
      <td class="coverNumHi">5 / 5</td>
    </tr>
    <tr>
      <td class="coverFile"><a href="qscopedpointer.h.gcov.html">qscopedpointer.h</a></td>
      <td class="coverBar" align="center">
                <table border=0 cellspacing=0 cellpadding=1><tr><td class="coverBarOutline"><img src="../snow.png" width=100 height=10 alt="0.0%"></td></tr></table>
      </td>
      <td class="coverPerLo">0.0&nbsp;%</td>
      <td class="coverNumLo">0 / 2</td>
      <td class="coverPerLo">0.0&nbsp;%</td>
      <td class="coverNumLo">0 / 1</td>
    </tr>
    <tr>
      <td class="coverFile"><a href="qsize.h.gcov.html">qsize.h</a></td>
      <td class="coverBar" align="center">
        <table border=0 cellspacing=0 cellpadding=1><tr><td class="coverBarOutline"><img src="../emerald.png" width=100 height=10 alt="100.0%"></td></tr></table>
      </td>
      <td class="coverPerHi">100.0&nbsp;%</td>
      <td class="coverNumHi">1 / 1</td>
      <td class="coverPerHi">100.0&nbsp;%</td>
      <td class="coverNumHi">1 / 1</td>
    </tr>
    <tr>
      <td class="coverFile"><a href="qstring.h.gcov.html">qstring.h</a></td>
      <td class="coverBar" align="center">
        <table border=0 cellspacing=0 cellpadding=1><tr><td class="coverBarOutline"><img src="../ruby.png" width=46 height=10 alt="46.2%"><img src="../snow.png" width=54 height=10 alt="46.2%"></td></tr></table>
      </td>
      <td class="coverPerLo">46.2&nbsp;%</td>
      <td class="coverNumLo">24 / 52</td>
      <td class="coverPerLo">46.4&nbsp;%</td>
      <td class="coverNumLo">13 / 28</td>
    </tr>
    <tr>
      <td class="coverFile"><a href="qvector.h.gcov.html">qvector.h</a></td>
      <td class="coverBar" align="center">
        <table border=0 cellspacing=0 cellpadding=1><tr><td class="coverBarOutline"><img src="../ruby.png" width=56 height=10 alt="55.7%"><img src="../snow.png" width=44 height=10 alt="55.7%"></td></tr></table>
      </td>
      <td class="coverPerLo">55.7&nbsp;%</td>
      <td class="coverNumLo">88 / 158</td>
      <td class="coverPerLo">51.8&nbsp;%</td>
      <td class="coverNumLo">71 / 137</td>
    </tr>
  </table>
  </center>
  <br>

  <table width="100%" border=0 cellspacing=0 cellpadding=0>
    <tr><td class="ruler"><img src="../glass.png" width=3 height=3 alt=""></td></tr>
    <tr><td class="versionInfo">Generated by: <a href="http://ltp.sourceforge.net/coverage/lcov.php">LCOV version 1.14</a></td></tr>
  </table>
  <br>

</body>
</html>
